Bug 251474 - Login page is too slow
Summary: Login page is too slow
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Whining   
(Show other bugs)
Version: devel
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 10:23 UTC by Need Real Name
Modified: 2013-06-24 02:47 UTC (History)
0 users

Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 16:09:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2007-08-09 10:23:12 UTC
The bugzilla login page is too slow. The page does not count as loaded (and no
autocompletion can begin) until all components and scripts are run.

To fix this:
* Add an expires cache to everything, particularly css
* Combine your css and js into one file to minimise the number of http requests
* Use mod_deflate with your css and js to speed up each http request

Comment 1 Need Real Name 2007-08-09 10:27:59 UTC
To give you some stats..

Loading this page:
 https://bugzilla.redhat.com/bugzilla/query.cgi?GoAheadAndLogIn=1
takes 26.329 seconds over a 10 mbit connection.

Comment 2 David Lawrence 2007-09-04 16:09:06 UTC
Changes have been made during a recent migation of Bugzilla to address some of
these performance issues. Please reopen if this is still a problem.


Note You need to log in before you can comment on or make changes to this bug.